<?php
/*
  $Id: account_delete.php

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2011 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link('login.php', '', 'SSL'));
  }

// se debe incluir antes de establecer el mensaje de xito en messageStack
  require('includes/languages/' . $language . '/account_delete.php');

  $error = false;
  if (isset($_GET['action']) && ($_GET['action'] == 'process')) {
    $email_address = tep_db_prepare_input($_POST['email_address']);
    $password = tep_db_prepare_input($_POST['password']);

// Verificar que el email existe y es bueno
    $check_customer_query = tep_db_query("select customers_id, customers_firstname, customers_password, customers_email_address from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "'");
    if (!tep_db_num_rows($check_customer_query)) {
      $error = true;
      $messageStack->add('account_delete', ENTRY_EMAIL_ADDRESS_CHECK_ERROR);
    } else {
  	  $check_customer = tep_db_fetch_array($check_customer_query);

// Verificar que la contrasea es buena
      if (!tep_validate_password($password, $check_customer['customers_password'])) {
  	    $error = true;
        $messageStack->add('account_delete', ENTRY_PASSWORD_CURRENT_ERROR_NOT_MATCHING);
      }

      if ($error == false) {
// Para liminar los datos y la cuenta del cliente nos vamos ahora al archivo account_delete_process.php
        tep_redirect(tep_href_link('account_delete_process.php', '', 'SSL'));
      } else {
   	    $messageStack->add('account_delete', TEXT_DELETE_ERROR);
  	  }
    }
  }
 
  $breadcrumb->add(NAVBAR_TITLE_1, tep_href_link('account.php', '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2, tep_href_link('account_delete.php', '', 'SSL'));

  require('includes/template_top.php');
?>

<div class="page-header">
  <h1><?php echo HEADING_TITLE; ?></h1>
</div>

<?php
  if ($messageStack->size('account_delete') > 0) {
  	echo $messageStack->output('account_delete');
  }
?>

<?php echo tep_draw_form('account_delete', tep_href_link('account_delete.php', 'action=process', 'SSL')); ?>

  <div class="contentContainer">
    <div class="contentText">
      <?php echo TEXT_MAIN; ?>
    </div>

    <div class="contentText">
      <div class="form-group has-feedback">
        <label for="inputEmail" class="control-label col-sm-3"><?php echo ENTRY_EMAIL_ADDRESS; ?></label>
        <div class="col-sm-9"><?php echo tep_draw_input_field('email_address', NULL, 'id="inputRequirement" placeholder="' . ENTRY_EMAIL_ADDRESS_TEXT . '"', 'email'); ?></div>
      </div>
      <div class="form-group has-feedback">
        <label for="inputPassword" class="control-label col-sm-3"><?php echo ENTRY_PASSWORD_CURRENT; ?></label>
        <div class="col-sm-9"><?php echo tep_draw_input_field('password', NULL, 'id="inputRequirement" placeholder="' . ENTRY_PASSWORD_CURRENT_TEXT . '"', 'password'); ?></div>
      </div>
    </div>

    <p>&nbsp;</p>

    <div class="buttonSet">
      <div class="col-xs-6"><?php echo tep_draw_button(IMAGE_BUTTON_BACK, 'fa fa-angle-left', tep_href_link('account.php', '', 'SSL')); ?></div>
      <div class="col-xs-6 text-right"><span class="buttonAction"><?php echo tep_draw_hidden_field('action', 'process') . tep_draw_button(IMAGE_BUTTON_CONTINUE, 'fa fa-angle-right', null, 'primary'); ?></span></div>
    </div>

  </div>

</form>

<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>